Description

Identify window displays fields using alphabetic order. Sometimes it's great, sometimes it's confusing since feature form uses table order,

(and other GIS too). 

Adding a general option to allow user to choose field order for both identify and feature form would be nice.

History

#1 - 2012-05-31 11:54 PM - Hugo Mercier

Right the two forms are a bit heterogeneous. Items in the "identify" window can be sorted by name or by value, but cannot be sorted by table ID, since there

is no such column. However :

    1. The feature form (ordered by table id) can be displayed from the identify window through the "View feature form" action

    2. We might consider adding sorting behaviour on the feature form (from the layer properties), since for now it is static

#2 - 2012-06-01 01:41 AM - Regis Haubourg

Thanks, 

I don't understand why table id can't be used in identify window, since it is possible in field tab (layers properties) and feature form.

1. I just finished 4 Qgis training courses, and every student is confused by the use of the feature form for simple interrogation. I really start to think it is the

perfect tool for edition, but not for read only work. What do you think of it? 

2. I prefer a general option coming along with 'open feature form if a single feature is identified'. It is a user preference I guesse and not a layer parameter.

Do you agree with that?

#3 - 2012-06-01 06:13 AM - Hugo Mercier

Ok, I am not really for the addition of a new user preference to circumvent bad window ergonomics.

If the information is well displayed (and sortable) inside the identify form, we can forget the "View feature form".

We now have to figure out a way to make this window fit into the identify form for each item selected.

#4 - 2012-10-06 02:25 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2013-03-21 03:56 AM - Regis Haubourg

Hi, 

could we imagine that field id is used to order identify results at start, and then let user click on column header to sort alphabetically fields. Drawback, it's

impossible to return to native datasource field order unless closing identify windo and reopening it. That looks acceptable to me. Any other idea?
#6 - 2014-05-05 09:47 AM - Antonio Locandro

Can the identify results display the fields in the order they are in the table? It's very confusing to have the fields order in some way in the table (which I

suspect many take the time to order in a particular way for some reason) and then using the identify results window the fields are in another order.

By the way if its alphabetical for some reason it order first capitalized fields and starts again with lower case

#7 - 2015-12-09 03:47 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Regis Haubourg wrote:

Hi, 

could we imagine that field id is used to order identify results at start, and then let user click on column header to sort alphabetically fields.

Drawback, it's impossible to return to native datasource field order unless closing identify windo and reopening it. That looks acceptable to me. Any

other idea?

Hello, bug triage...

in QGIS 2.13 master (probably in QGIS 2.12.1) the behavior of the identify results is as you described:

    -  when identifying multiple results, fields are sorted with the field id.

    -  you can change this order by sorting the "Feature" column: fields are now sorted alphabetically (or reversed alphabetically).

    -  to return to the field id sort, you have to re-identify the features.

Could we close this feature request ?

#8 - 2015-12-09 05:16 AM - Regis Haubourg

Yep, I had not been focusing on that part. It is solved.

#9 - 2015-12-23 08:08 AM - Regis Haubourg

Hi, I don't have rights to close tickets. Can anyone close this one?

#10 - 2015-12-23 12:12 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
